You are here

wrong version of Foxit!

5 posts / 0 new
Last post
HexaCore
HexaCore's picture
Offline
Last seen: 2 years 1 month ago
Joined: 2011-07-28 20:28
wrong version of Foxit!

I was a bit confused after updating to Foxit Reader 5.4.4!

First of all it comes up with an error while starting the app and the other thing is: It's not Foxit Reader!

Take a look at it please and you will see that Foxit PhantomPDF has been packaged accidentally!!!

John T. Haller
John T. Haller's picture
Offline
Last seen: 6 hours 30 min ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Works Fine Here, It Is Foxit Reader

It comes up fine under Windows XP, Vista and 7 just fine here. And it is indeed Foxit Reader. The main screen of it now is ads for Foxit Phantom PDF, though. Three across the top for Express, Standard and Business and then a large 2/3 ad in the bottom right next to history. This is by design as Foxit gives Reader away free in the hopes of selling folks PhantomPDF. You will note that it has Foxit Reader's icon, Foxit Reader across the window titlebar, and says Foxit Reader Version 5.4.4.1023 after you click Help - About Foxit Reader.

If you are getting an error, that's something else. Please post a note in the Other Apps support forum with the full details (OS, upgrade vs clean, exact error message, etc).

Sometimes, the impossible can become possible, if you're awesome!

HexaCore
HexaCore's picture
Offline
Last seen: 2 years 1 month ago
Joined: 2011-07-28 20:28
It's definitely Foxit PhantomPDF!

Hi, I made an update through the platform this night. When starting the app it comes up as Foxit PhantomPDF and displays a crash message immediately!

I just made a clean install of the app and it turns out alright now.

If you like I can send you the folder of the updated app and you can check yourself what went wrong with the update.

John T. Haller
John T. Haller's picture
Offline
Last seen: 6 hours 30 min ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Update

If you did a clean install of the app and it's correct, then it HAS to be Foxit Reader. It can't magically switch which app is contained within it. It could, however, be that Foxit Reader and Phantom are the same app internally with different config/setting files and when broken, the error shows up as Phantom.

Sometimes, the impossible can become possible, if you're awesome!

HexaCore
HexaCore's picture
Offline
Last seen: 2 years 1 month ago
Joined: 2011-07-28 20:28
Whatever it was...

it works now! Smile

Log in or register to post comments